package com.foo;

import org.apache.wicket.model.LoadableDetachableModel;

import com.foo.domain.Contact;
import com.foo.domain.ContactDao;

public class ProxyModel extends LoadableDetachableModel
{
	private ContactDao dao;
	private long id;

	public ProxyModel(Contact contact, ContactDao dao)
	{
		super(contact);
		id = contact.getId();
		this.dao = dao;
	}

	@Override
	protected Contact load()
	{
		return dao.get(id);
	}

}
